#include <iostream>
#include <cstdlib>
#include <ctime>
#include <cmath>
#include <algorithm>
#include <cstring>
#define question_number 7

using namespace std;

char questions[][2][350]= {
	{"Год создания UNIX: ", "1969"},
	{"Центральная часть операционной системы, управляющая выполнением процессов, ресурсами вычислительной системы и предоставляющая процессам координированный доступ к этим ресурсам - ", "ядро"},
	{"Первый выпуск 	Windows 1.0x (год): ", "1985"},
	{"Способ хранения данных на внешних запоминающих устройствах - ", "файловая система"},
	{"Первый выпуск Mac OS (год): ", "2001"},
	{"Mac OS - UNIX-подобная? (д/н) ", "д"},
	{"Windows - UNIX-подобная? (д/н) ", "н"},
	{"Год выхода OS/360: ", "1964"},
	{"Тип ядра Windows (одно слово): ", "гибридное"},
	{"Лицензия Linux: ", "gnu"}
};

int take_questions_from = 0;
int take_questions_before = 9;

int questions_used[question_number];

int main(int args, char** argv){
	srand(time(0));

	double count = 0;
	int attempt = 0;

    for(int i=0; i<question_number; i++){

		int rand_question_index = 1+take_questions_from + rand() % take_questions_before;

		if (find(begin(questions_used), end(questions_used), rand_question_index) == end(questions_used)){
			cout << questions[rand_question_index][0];
			questions_used[i] = rand_question_index;
    		char answer[350];
    		cin >> answer;
    		if (!strcmp( answer, questions[rand_question_index][1])){
    			count++;
    		}
    		attempt = 0;
		}else{
			if(attempt>=question_number){
				cout << "Что-то пошло не так, обратитесь за помощью к админисратору\n";
				break;
			}
			i--;
			attempt++;
		}
    }
    
    double prs = count / question_number * 100;
    short int estimation;
    cout << "Правильных ответов: " << prs << "%";
    if (prs >= 90){
    	estimation = 5;
    }else if (prs >= 70){
    	estimation = 4;
    }else if (prs >= 50){
    	estimation = 3;
    }else{
    	estimation = 2;
    }
    cout << " Оценка: " << estimation << endl;
	return 0; 
}
