#include <iostream>
#include <cstdlib>
#include <ctime>
#include "regs.h"

using namespace std;

char* get_reg_from_index(unsigned long int index);

int main(int args, char** argv){
	srand(time(0));

	unsigned long int reg_index;
	cout << "Введите индекс региона: ";
	cin >> reg_index;
	cout << get_reg_from_index(reg_index) << endl;

	return 0; 
}

char* get_reg_from_index(unsigned long int index){
	int size = sizeof(regions)/sizeof(regions[0]);
	for(unsigned long int i = 0; i<size; i++){
		if (regions[i].index == index){
			return regions[i].name;
		}
	}
	return "Неизвестный индекс...";
}