#include <iostream>
#include <cstdlib>
#include <ctime>
#include <cmath>

using namespace std;

struct Color{
	unsigned short int r;
	unsigned short int g;
	unsigned short int b;
};

Color gen_col(){
	return {1 + rand() % 255, 1 + rand() % 255, 1 + rand() % 255};
}

int main(int args, char** argv){
	srand(time(0));

	Color clr1, clr2;
	bool clr1_is_gen, clr2_is_gen;

	for(int i=0; i<args; i++){
		if (argv[i][2] == 'g' && argv[i][3] == '1'){
			clr1 = gen_col();
			clr1_is_gen	= 1;
			cout << "color 1:\nR   G   B\n" << clr1.r << " " << clr1.g << " " << clr1.b << "\n";	
		}
		if (argv[i][2] == 'g' && argv[i][3] == '2'){
			clr2 = gen_col();
			clr2_is_gen = 1;
			cout << "color 2:\nR   G   B\n" << clr2.r << " " << clr2.g << " " << clr2.b << "\n";		
		}
	}

	if(clr1_is_gen == 0){
		cout << "color 1:\nR   G   B\n";
		cin >> clr1.r >> clr1.g >> clr1.b;
	}
	if(clr2_is_gen == 0){
		cout << "color 2:\nR   G   B\n";
		cin >> clr2.r >> clr2.g >> clr2.b;
		
	}
	cout << endl;

	if(clr1.r<=255&&clr1.g<=255&&clr1.b<=255&&clr2.r<=255&&clr2.g<=255&&clr2.b<=255){
		cout << "RGB[" << clr1.r << ", " << clr1.g << ", " << clr1.b << "] + RGB[" << clr2.r << ", " << clr2.g << ", " << clr2.b << "] = RGB[";
		Color clr3;
		clr3.r = floor((clr1.r+clr2.r)/2);
		clr3.g = floor((clr1.g+clr2.g)/2);
		clr3.b = floor((clr1.b+clr2.b)/2);
		cout << clr3.r << ", " << clr3.g << ", " << clr3.b << "]";
	}else{
		cout << "Введены неверные данные";
	}
	
	cout << endl;
	return 0; 
}
